| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Buttons.CheckButton

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description
Create widgets with a discrete toggle button
Synopsis

data CheckButton
class ToggleButtonClass o => CheckButtonClass o
castToCheckButton :: GObjectClass obj => obj -> CheckButton
toCheckButton :: CheckButtonClass o => o -> CheckButton
checkButtonNew :: IO CheckButton
checkButtonNewWithLabel :: String -> IO CheckButton
checkButtonNewWithMnemonic :: String -> IO CheckButton

Detail
A `CheckButton` places a discrete `ToggleButton` next to a widget, (usually a `Label`). See the section on `ToggleButton` widgets for more information about toggle/check buttons. The important signal ('toggled') is also inherited from `ToggleButton`.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----Button
     |                                 +----ToggleButton
     |                                       +----CheckButton
     |                                             +----RadioButton

Types
data CheckButton

Instances

GObjectClass CheckButton
CheckButtonClass CheckButton
ToggleButtonClass CheckButton
ButtonClass CheckButton
BinClass CheckButton
ContainerClass CheckButton
WidgetClass CheckButton
ObjectClass CheckButton

class ToggleButtonClass o => CheckButtonClass o

Instances

CheckButtonClass RadioButton
CheckButtonClass CheckButton

castToCheckButton :: GObjectClass obj => obj -> CheckButton
toCheckButton :: CheckButtonClass o => o -> CheckButton
Constructors
checkButtonNew :: IO CheckButton
Creates a new `CheckButton`.
checkButtonNewWithLabel

:: String | `label` - the text for the check button.
-> IO CheckButton |
Creates a new `CheckButton` with a `Label` to the right of it.

checkButtonNewWithMnemonic

:: String | `label` - The text of the button, with an underscore in front of the mnemonic character
-> IO CheckButton |
Creates a new `CheckButton` containing a label. The label will be created using Graphics.UI.Gtk.Display.Label.labelNewWithMnemonic, so underscores in `label` indicate the mnemonic for the check button.

Produced by Haddock version 2.4.2